glab(1)

NAME
glab-packages-upload - Upload a file to a project's package registry.

SYNOPSIS
glab packages upload --name --version [flags]

DESCRIPTION
Uploaded files are stored as generic packages: arbitrary files identified by a package name, version, and file name.

The file is stored under the given package name and version. By default it keeps its original file name; use --filename to store it under a different name.

By default, the file is uploaded to the current project. Use --repo to target another project.

OPTIONS
--filename=""
    Name to store the file under. Defaults to the local file name.

-n, --name=""
    Name of the package.

-v, --version=""
    Version of the package.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Upload a file as version 1.0.0 of package 'my-package'
    glab packages upload ./build/app.zip --name my-package --version 1.0.0
    # Store the file under a different name
    glab packages upload ./build/app.zip --name my-package --version 1.0.0 --filename release.zip
    # Use the 'ul' alias and upload to another project
    glab packages ul ./build/app.zip -n my-package --version 1.0.0 -R owner/repo

SEE ALSO
glab-packages(1)